# Starting and running Varnish

This section covers starting, running, and stopping Varnish, command line flags and options, and communicating with the running Varnish processes, configuring storage and sockets and, and about securing and protecting Varnish against attacks.

- Security first
  - Command line arguments
  - The CLI interface
  - VCL programs
  - HTTP requests
- Required command line arguments
  - ‘-a’ <[name=][listen_address[,PROTO|,option=value,…]]>
  - ‘-f’ VCL-file or ‘-b’ backend
  - Optional arguments
- CLI - bossing Varnish around
  - What can you do with the CLI
- Storage backends
  - Intro
  - Storage Selection
  - default
  - malloc
  - umem
  - file
  - deprecated_persistent
- Transient Storage
- Parameters
- Sizing your cache